> For the complete documentation index, see [llms.txt](https://docs.afx.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.afx.xyz/api-reference/info/products.md).

# Products

## GET /info/single

> Query Single Product

```json
{"openapi":"3.0.3","info":{"title":"AFX DEX Info API","version":"1.0.0"},"servers":[{"url":"https://api.afx.xyz","description":"Mainnet"},{"url":"https://api-testnet.afx.xyz","description":"Testnet"}],"paths":{"/info/single":{"get":{"operationId":"getProductSingle","summary":"Query Single Product","tags":["Products"],"parameters":[{"name":"symbol","in":"query","required":true,"schema":{"type":"integer","format":"int64"},"description":"Symbol code"}],"responses":{"200":{"description":"Product metadata","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"data":{"$ref":"#/components/schemas/ProductMeta"}}}}}}}}}},"components":{"schemas":{"ProductMeta":{"type":"object","properties":{"md5Checksum":{"type":"string"},"perpProducts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Display name"},"symbol":{"type":"string","description":"Symbol name e.g. BTCUSDC"},"code":{"type":"string","description":"Symbol code"},"currencyCode":{"type":"integer","format":"int64"},"maxLeverage":{"type":"integer"},"pricePrecision":{"type":"integer"},"qtyPrecision":{"type":"integer"},"tickSize":{"type":"string"},"stepSize":{"type":"string"},"maxOrderQty":{"type":"integer","format":"int64"},"maxSlippagePct":{"type":"string"},"maxPositionNtnl":{"type":"integer","format":"int64"},"fundingInterval":{"type":"integer","format":"int64","description":"seconds"},"productType":{"type":"string"},"listStatus":{"type":"string"},"onlyIsolated":{"type":"boolean"},"baseCurrency":{"type":"string"},"quoteCurrency":{"type":"string"},"settleCurrency":{"type":"string"},"minOrderValue":{"type":"string"},"defaultMakerFeeRate":{"type":"string"},"defaultTakerFeeRate":{"type":"string"}}}},"marginTables":{"type":"array","items":{"type":"object","properties":{"tableId":{"type":"integer"},"riskLimitVo":{"type":"array","items":{"type":"object","properties":{"minimumValue":{"type":"string"},"maintainMarginRatio":{"type":"string"},"maxLeverage":{"type":"integer"}}}}}}},"currencies":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"currency":{"type":"string"},"code":{"type":"integer","format":"int64"},"walletPrecision":{"type":"integer"},"displayPrecision":{"type":"integer"}}}}}}}}}
```

## GET /info/public/product-meta

> Query All Products

```json
{"openapi":"3.0.3","info":{"title":"AFX DEX Info API","version":"1.0.0"},"servers":[{"url":"https://api.afx.xyz","description":"Mainnet"},{"url":"https://api-testnet.afx.xyz","description":"Testnet"}],"paths":{"/info/public/product-meta":{"get":{"operationId":"getAllProducts","summary":"Query All Products","tags":["Products"],"parameters":[{"name":"listStatus","in":"query","schema":{"type":"integer"},"description":"Filter by listing status"}],"responses":{"200":{"description":"All product metadata","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"data":{"$ref":"#/components/schemas/ProductMeta"}}}}}}}}}},"components":{"schemas":{"ProductMeta":{"type":"object","properties":{"md5Checksum":{"type":"string"},"perpProducts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"Display name"},"symbol":{"type":"string","description":"Symbol name e.g. BTCUSDC"},"code":{"type":"string","description":"Symbol code"},"currencyCode":{"type":"integer","format":"int64"},"maxLeverage":{"type":"integer"},"pricePrecision":{"type":"integer"},"qtyPrecision":{"type":"integer"},"tickSize":{"type":"string"},"stepSize":{"type":"string"},"maxOrderQty":{"type":"integer","format":"int64"},"maxSlippagePct":{"type":"string"},"maxPositionNtnl":{"type":"integer","format":"int64"},"fundingInterval":{"type":"integer","format":"int64","description":"seconds"},"productType":{"type":"string"},"listStatus":{"type":"string"},"onlyIsolated":{"type":"boolean"},"baseCurrency":{"type":"string"},"quoteCurrency":{"type":"string"},"settleCurrency":{"type":"string"},"minOrderValue":{"type":"string"},"defaultMakerFeeRate":{"type":"string"},"defaultTakerFeeRate":{"type":"string"}}}},"marginTables":{"type":"array","items":{"type":"object","properties":{"tableId":{"type":"integer"},"riskLimitVo":{"type":"array","items":{"type":"object","properties":{"minimumValue":{"type":"string"},"maintainMarginRatio":{"type":"string"},"maxLeverage":{"type":"integer"}}}}}}},"currencies":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"currency":{"type":"string"},"code":{"type":"integer","format":"int64"},"walletPrecision":{"type":"integer"},"displayPrecision":{"type":"integer"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.afx.xyz/api-reference/info/products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
